package com.realnet.testdata.Services;
import com.realnet.testdata.Repository.StateRepository;
import com.realnet.testdata.Entity.State
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class StateService {
@Autowired
private StateRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public State Savedata(State data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
State save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<State> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<State> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<State> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public State getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public State update(State data,Integer id) {
	State old = Repository.findById(id).get();
old.setState_name(data.getState_name());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

old.setCountry_name(data.getCountry_name());

final State test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
